Ubuntu

Intel Corporation Centrino Wireless-N + WiMAX 6150 (rev 67) not working after upgrade to 11.10

Reported by iFreeBudget on 2011-10-17
82
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Ubuntu
Fix Released
Critical
linux (Ubuntu)
High
Unassigned

Bug Description

I had a pretty stable Natty install, but then I went and upgraded to 11.10. It went downhill from there. Most of my problems I am about to describe are covered in various threads but none of the solutions have worked for me.

I have a Asus laptop model no: U56E-BBL5 with 6gb RAM, Intel core i5

1. Wireless/wifi stopped working. Outputs from various commands suggested in other threads are pasted here

[CODE]me@me-ubuntu:~$ rfkill list
0: asus-wlan: Wireless LAN
    Soft blocked: no
    Hard blocked: no
1: asus-wimax: WiMAX
    Soft blocked: yes
    Hard blocked: no
2: phy0: Wireless LAN
    Soft blocked: no
    Hard blocked: no

me@me-ubuntu:~$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

wlan0 IEEE 802.11bgn ESSID:off/any
          Mode:Managed Access Point: Not-Associated Tx-Power=15 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:on

me@me-ubuntu:~$ dmesg | grep -i firm
[ 0.811564] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
[ 15.539802] iwlagn 0000:02:00.0: loaded firmware version 41.28.5.1 build 33926
[ 15.667238] elantech: assuming hardware version 3, firmware version 69.15.1

me@me-ubuntu:~$ lspci | grep -i network
02:00.0 Network controller: Intel Corporation Centrino Wireless-N + WiMAX 6150 (rev 67)

me@me-ubuntu:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 11.10
Release: 11.10
Codename: oneiric

me@me-ubuntu:~$ sudo lshw -C network
[sudo] password for me:
  *-network
       description: Wireless interface
       product: Centrino Wireless-N + WiMAX 6150
       vendor: Intel Corporation
       physical id: 0
       bus info: pci@0000:02:00.0
       logical name: wlan0
       version: 67
       serial: 40:25:c2:34:fe:d4
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=iwlagn driverversion=3.0.0-12-generic firmware=41.28.5.1 build 33926 latency=0 link=no multicast=yes wireless=IEEE 802.11bgn
       resources: irq:50 memory:de800000-de801fff
  *-network
       description: Ethernet interface
       product: AR8151 v2.0 Gigabit Ethernet
       vendor: Atheros Communications
       physical id: 0
       bus info: pci@0000:04:00.0
       logical name: eth0
       version: c0
       serial: 14:da:e9:2a:1e:bc
       size: 100Mbit/s
       capacity: 1Gbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vpd bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=atl1c driverversion=1.0.1.0-NAPI duplex=full firmware=N/A ip=192.168.0.2 latency=0 link=yes multicast=yes port=twisted pair speed=100Mbit/s
       resources: irq:53 memory:dd400000-dd43ffff ioport:a000(size=128)
[/CODE]So, wireless is completely not working now and I have to sit near by shoe closet on the floor to get a wired connection to post this.

2. Suspend hangs the system.

Whenever I suspend or system goes to suspend due to inactivity, the system completely freezes. Only a hard reset is possible at this time.

3. System is generally slow and unreliable. Only saving grace has been Gnome3.2 which looks rather neat.

Any help is greatly appreciated and any one else having same problems please give a shout. I would feel a little better knowing that I am not alone having these problems.

Wes (weston-a) wrote :

I have the same system and the same issues. I found a workaround for the wireless issue in this thread:

http://ubuntuforums.org/showthread.php?t=1862484

The *temporary* solution involves installing an older kernel, it seems we have to go back to kernel 2.6.38 to get it to work. The most recent version of that kernel can be downloaded from:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.38.8-natty/

According to the helpful person from that thread you will need three files:

linux-headers...all.deb

and either:
linux-headers....amd64.deb
linux-image...amd64.deb

or:
linux-headers....i386.deb
linux-image...i386.deb

... depending on your architecture (32-bit or 64-bit). Once you have the three files just double click them to install using the Software Center and restart you system remembering to select the older kernel in Grub. Unfortunately this does not resolve the suspend issue.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Wes (weston-a) on 2011-10-18
tags: added: iwlagn
komputes (komputes) wrote :

Please execute the following command, as it will automatically gather debugging information, in a terminal:
apport-collect BUGNUMBER

affects: ubuntu → linux (Ubuntu)
komputes (komputes) on 2011-11-04
summary: - Wireless not working after upgrade to 11.10
+ Intel Corporation Centrino Wireless-N + WiMAX 6150 (rev 67) not working
+ after upgrade to 11.10
komputes (komputes) wrote :

I have connected this bug with a similar bug from Intel Wireless Bugzilla:
Bug 2325 - Kernels after 2.6.38 break Centrino Wireless-N + WiMAX 6150 (rev 67)
http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2325

Apport information can be found in Bug #886231 (duplicate)

Changed in linux:
importance: Unknown → Critical
status: Unknown → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.1-rc9'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Thanks in advance.

tags: added: needs-upstream-testing oneiric regression-release
TonyLudwick (tonyludwick) wrote :

I tested the mainline kernel 3.1r10 and that it did not correct the problem. 'kernel-bug-exists-upstream'

tags: added: kernel-bug-exists-upstream
Joseph Salisbury (jsalisbury) wrote :

Can you boot your system with the Natty kernel, and confirm the issue goes away?

Changed in linux (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
tags: removed: needs-upstream-testing
tags: added: kernel-key
TonyLudwick (tonyludwick) wrote :

Booted Machine with Natty 11.04 Kubuntu 64 bit Live CD. Wireless Network scans, connects, and performs blazingly fast. Works Great!

Regards,
Tony

affects: linux → ubuntu
Chris J Arges (arges) wrote :

Noticed these threads regarding issues with the 6150 on 11.04. Would this affect 11.10 as well?
http://askubuntu.com/questions/61271/wireless-doesnt-work-on-a-centrino-wireless-n-chip-in-a-sony-vaio-vpc-eg16fm-b
https://answers.launchpad.net/ubuntu/+source/gnome-nettool/+question/168481

Would it be possible to try this workaround and see if it has any affect on this bug?

Download full text (4.6 KiB)

Tried it had no effect.

On Tue, Nov 15, 2011 at 10:56 AM, Chris J Arges
<email address hidden>wrote:

> Noticed these threads regarding issues with the 6150 on 11.04. Would this
> affect 11.10 as well?
>
> http://askubuntu.com/questions/61271/wireless-doesnt-work-on-a-centrino-wireless-n-chip-in-a-sony-vaio-vpc-eg16fm-b
> https://answers.launchpad.net/ubuntu/+source/gnome-nettool/+question/168481
>
> Would it be possible to try this workaround and see if it has any affect
> on this bug?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/876147
>
> Title:
> Intel Corporation Centrino Wireless-N + WiMAX 6150 (rev 67) not
> working after upgrade to 11.10
>
> Status in Ubuntu:
> Confirmed
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> I had a pretty stable Natty install, but then I went and upgraded to
> 11.10. It went downhill from there. Most of my problems I am about to
> describe are covered in various threads but none of the solutions have
> worked for me.
>
> I have a Asus laptop model no: U56E-BBL5 with 6gb RAM, Intel core i5
>
> 1. Wireless/wifi stopped working. Outputs from various commands
> suggested in other threads are pasted here
>
> [CODE]me@me-ubuntu:~$ rfkill list
> 0: asus-wlan: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> 1: asus-wimax: WiMAX
> Soft blocked: yes
> Hard blocked: no
> 2: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
>
> me@me-ubuntu:~$ iwconfig
> lo no wireless extensions.
>
> eth0 no wireless extensions.
>
> wlan0 IEEE 802.11bgn ESSID:off/any
> Mode:Managed Access Point: Not-Associated Tx-Power=15 dBm
> Retry long limit:7 RTS thr:off Fragment thr:off
> Power Management:on
>
> me@me-ubuntu:~$ dmesg | grep -i firm
> [ 0.811564] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
> [ 15.539802] iwlagn 0000:02:00.0: loaded firmware version 41.28.5.1
> build 33926
> [ 15.667238] elantech: assuming hardware version 3, firmware version
> 69.15.1
>
> me@me-ubuntu:~$ lspci | grep -i network
> 02:00.0 Network controller: Intel Corporation Centrino Wireless-N + WiMAX
> 6150 (rev 67)
>
> me@me-ubuntu:~$ lsb_release -a
> No LSB modules are available.
> Distributor ID: Ubuntu
> Description: Ubuntu 11.10
> Release: 11.10
> Codename: oneiric
>
> me@me-ubuntu:~$ sudo lshw -C network
> [sudo] password for me:
> *-network
> description: Wireless interface
> product: Centrino Wireless-N + WiMAX 6150
> vendor: Intel Corporation
> physical id: 0
> bus info: pci@0000:02:00.0
> logical name: wlan0
> version: 67
> serial: 40:25:c2:34:fe:d4
> width: 64 bits
> clock: 33MHz
> capabilities: pm msi pciexpress bus_master cap_list ethernet
> physical wireless
> configuration: broadcast=yes driver=iwlagn
> driverversion=3.0.0-12-generic firmware=41.28.5.1 build 33926 latency=0
> link=no multicast=yes wireless=IEEE 802.11bgn
> resources: irq:50 memory:de800000-de801fff
> *-net...

Read more...

Paul Davis (duine-anaithnid) wrote :

Tested on 3.2 rc2, still not working

tags: removed: kernel-key
tags: removed: kernel-bug-exists-upstream
tags: added: kernel-bug-exists-upstream
Joseph Salisbury (jsalisbury) wrote :

The duplicate of bug 836250 status was removed momentarily for a test. It will be added back.

tags: added: kernel-key
tags: removed: kernel-key

I downloaded the files and installed them, but nothing changes after I restart my laptop. What else do I need to do?

Joseph Salisbury (jsalisbury) wrote :

@iFreeBudget

I removed this bug as being a duplicate of bug 836250 for the time being. In that bug, the root cause appears to be related to network-manager.

Also, that bug is specific to poor performance with the 6150 wireless device. For this bug, is the device completely non-functional, or are you seeing that is works sometimes? Are you seeing poor perform, like mentioned in bug 836250?

tags: added: kernel-da-key
Download full text (5.2 KiB)

T his is different from the bug that describes poor performance.. .in my case the wireless fails to connect - the signals are reported but the log suggests (wrongly I believe ) that it fails to negotiate an authorized connection. I also do not believe it is network-manager as three same exist with other WiFi mangers

Sent from my Verizon Wireless Phone

----- Reply message -----
From: "Joseph Salisbury" <email address hidden>
To: <email address hidden>
Subject: [Bug 876147] Re: Intel Corporation Centrino Wireless-N + WiMAX 6150 (rev 67) not working after upgrade to 11.10
Date: Fri, Jan 6, 2012 3:35 pm

@iFreeBudget

I removed this bug as being a duplicate of bug 836250 for the time
being. In that bug, the root cause appears to be related to network-
manager.

Also, that bug is specific to poor performance with the 6150 wireless
device. For this bug, is the device completely non-functional, or are
you seeing that is works sometimes? Are you seeing poor perform, like
mentioned in bug 836250?

** This bug is no longer a duplicate of bug 836250
   [Oneiric] [Regression] Intel Corporation Centrino Ultimate-N 6300 poor networking, packet loss and very slow Lenovo X201 and T500 laptops

** Tags added: kernel-da-key

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/876147

Title:
  Intel Corporation Centrino Wireless-N + WiMAX 6150 (rev 67) not
  working after upgrade to 11.10

Status in Ubuntu:
  Confirmed
Status in “linux” package in Ubuntu:
  Triaged

Bug description:
  I had a pretty stable Natty install, but then I went and upgraded to
  11.10. It went downhill from there. Most of my problems I am about to
  describe are covered in various threads but none of the solutions have
  worked for me.

  I have a Asus laptop model no: U56E-BBL5 with 6gb RAM, Intel core i5

  1. Wireless/wifi stopped working. Outputs from various commands
  suggested in other threads are pasted here

  [CODE]me@me-ubuntu:~$ rfkill list
  0: asus-wlan: Wireless LAN
      Soft blocked: no
      Hard blocked: no
  1: asus-wimax: WiMAX
      Soft blocked: yes
      Hard blocked: no
  2: phy0: Wireless LAN
      Soft blocked: no
      Hard blocked: no

  me@me-ubuntu:~$ iwconfig
  lo no wireless extensions.

  eth0 no wireless extensions.

  wlan0 IEEE 802.11bgn ESSID:off/any
            Mode:Managed Access Point: Not-Associated Tx-Power=15 dBm
            Retry long limit:7 RTS thr:off Fragment thr:off
            Power Management:on

  me@me-ubuntu:~$ dmesg | grep -i firm
  [ 0.811564] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
  [ 15.539802] iwlagn 0000:02:00.0: loaded firmware version 41.28.5.1 build 33926
  [ 15.667238] elantech: assuming hardware version 3, firmware version 69.15.1

  me@me-ubuntu:~$ lspci | grep -i network
  02:00.0 Network controller: Intel Corporation Centrino Wireless-N + WiMAX 6150 (rev 67)

  me@me-ubuntu:~$ lsb_release -a
  No LSB modules are available.
  Distributor ID: Ubuntu
  Description: Ubuntu 11.10
  Release: 11.10
  Codename: oneiric

  me@me-ubuntu:~$ sudo lshw -C network
  [sudo] password for m...

Read more...

Changed in ubuntu:
status: Confirmed → In Progress
Changed in ubuntu:
status: In Progress → Fix Released
Daniel Letzeisen (dtl131) wrote :

Note: 'iwlagn' becomes 'iwlwifi' on kernel >=3.1
For those that did not read the upstream bug, the fix for this issue is to:

sudo modprobe -r iwlagn
sudo modprobe iwlagn bt_coex_active=0

To make the change permanent:
gsku gedit /etc/modprobe.d/iwl.conf

Copy/paste this line into the new file:
options iwlagn bt_coex_active=0

Save. Quit.

Wes (weston-a) wrote :

Thank you Dave! That does indeed fix the problem.

I am testing 12.04 and the problem still persists. Is this bt_coex_active flag change a permanent solution or can we expect to see it built in at some point?

Evan Carroll (evancarroll) wrote :

@Dave using 12.04 I just did

options iwlwifi 11n_disable=1

/etc/modprobe.d/iwlwifi.conf

JJohnson (johnsonutpb) wrote :

You don't have to talk to us like we can't read........ Just kidding, Thanks Man.

i also have the asus u56e-*
i really like ubu 10.04 because cube effect worked... but it doesnt work very well the disable mouse button doesnt work or any special volume keys... etc etc... my final solution was to try out 12.04 which works really really well with gnome 3.4 (looks great) right out of the box except the intel wireless problem which i posted a solution to here on this bug report somewhere... the solution disables some sort of bluetooth thats built into the card... you still cant use the cube effect correctly on this version btw :(
when you pass a window to another view with the quick keys it reverts back to the original screen and then it flashes on every desktop every time you rotate the cube. all in all try out 12.04 instead it should be more stable for you

mark calawod (angeliemarkc) wrote :

how can i Changed MAC ADDRESS for my ASUS U46E-bal7 wimax 6150. someone can help me the command for TELNET. tnx

the only way that I have been able to fix this bug is the following:

echo "options iwlwifi bt_coex_active=0" | sudo tee -a
/etc/modprobe.d/iwl.conf

this works and every time that I upgrade to a newer version of Ubuntu
or any other Linux disto I have to put this into terminal and reboot. i
believe that this is for 12.04 and higher.

ernie

On 01/23/2013 07:54 PM, TonyLudwick wrote:
> http://usingpinterestforbusiness.net/wp-
> content/themes/socrates/yahool221.php
>

thanks for reiterating post 16. lol sorry for being a little bit of a ass. but it is a fix none the less... ^^ thanks.

tags: removed: kernel-da-key

iFreeBudget, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder, but the one all the way at the bottom) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.12

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
To post a comment you must log in.